Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.InvocationMouseMotionHandler

    java.lang.Object
      java.awt.event.MouseMotionAdapter
          javax.swing.plaf.basic.BasicComboPopup.InvocationMouseMotionHandler

All Implemented Interfaces:
  MouseMotionListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.InvocationMouseMotionHandler

extends MouseMotionAdapter

This listener watches for dragging and updates the current selection in the list if it is dragging over the list.

Constructor Summary
`protected` | `BasicComboPopup.InvocationMouseMotionHandler()`

Method Summary
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.

Methods inherited from class java.awt.event.MouseMotionAdapter
`mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.InvocationMouseMotionHandler

    protected BasicComboPopup.InvocationMouseMotionHandler()

Method Detail

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from class: `MouseMotionAdapter`
  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `MouseMotionAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.